CREATE TABLE ce_cp_sys_trx_int (
    CP_SYS_TRX_ID                NUMBER(18, 0) ,
    SOURCE_SYSTEM                VARCHAR2(200) ,
    SOURCE                       VARCHAR2(120) ,
    FLOW_INDICATOR               VARCHAR2(60)  ,
    RECON_STATUS                 VARCHAR2(120) ,
    SOURCE_TRANSACTION_ID        NUMBER(18, 0) ,
    BANK_ACCOUNT_NAME            VARCHAR2(1440),
    BANK_ACCOUNT_NUMBER          VARCHAR2(320) ,
    BANK_NAME                    VARCHAR2(1440),
    TRANSACTION_DATE             DATE          ,
    VALUE_DATE                   DATE          ,
    TRANSACTION_NUMBER           VARCHAR2(1024),
    TRANSACTION_CURRENCY_CODE    VARCHAR2(60)  ,
    TRANSACTION_AMOUNT           NUMBER        ,
    REPORTING_AMOUNT             NUMBER        ,
    TRANSACTION_TYPE             VARCHAR2(320) ,
    FUNCTIONAL_CURRENCY_CODE     VARCHAR2(60)  ,
    FUNCTIONAL_AMOUNT            NUMBER        ,
    BANK_ACCT_CURRENCY_CODE      VARCHAR2(60)  ,
    BANK_ACCT_AMOUNT             NUMBER        ,
    LEGAL_ENTITY_REGION          VARCHAR2(1440),
    LEGAL_ENTITY_NAME            VARCHAR2(960) ,
    CASH_POOL_NAME               VARCHAR2(320) ,
    PARENT_CASH_POOL_NAME        VARCHAR2(1000),
    EXT_DIM_ATTRIBUTE1           VARCHAR2(320) ,
    EXT_DIM_ATTRIBUTE2           VARCHAR2(320) ,
    EXT_DIM_ATTRIBUTE3           VARCHAR2(320) ,
    EXT_DIM_ATTRIBUTE4           VARCHAR2(320) ,
    EXT_DIM_ATTRIBUTE5           VARCHAR2(320) ,
    EXT_DIM_ATTRIBUTE6           VARCHAR2(320) ,
    EXT_DIM_ATTRIBUTE7           VARCHAR2(320) ,
    EXT_DIM_ATTRIBUTE8           VARCHAR2(320) ,
    EXT_DIM_ATTRIBUTE9           VARCHAR2(320) ,
    EXT_DIM_ATTRIBUTE10          VARCHAR2(320) ,
    EXT_DIM_ATTRIBUTE11          VARCHAR2(320) ,
    EXT_DIM_ATTRIBUTE12          VARCHAR2(320) ,
    EXT_DIM_ATTRIBUTE13          VARCHAR2(320) ,
    EXT_DIM_ATTRIBUTE14          VARCHAR2(320) ,
    EXT_DIM_ATTRIBUTE15          VARCHAR2(320) ,
    DELETE_FLAG                  VARCHAR2(4)   ,
    ERROR_FLAG                   VARCHAR2(4)   ,
    ERROR_CODE                   VARCHAR2(120) ,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LOAD_REQUEST_ID              NUMBER(18, 0) ,
    CP_SYS_TRX_ID                NUMBER(18, 0) ,
    SOURCE_SYSTEM                VARCHAR2(200) ,
    SOURCE                       VARCHAR2(120) ,
    FLOW_INDICATOR               VARCHAR2(60)  ,
    RECON_STATUS                 VARCHAR2(120) ,
    SOURCE_TRANSACTION_ID        NUMBER(18, 0) ,
    BANK_ACCOUNT_NAME            VARCHAR2(1440),
    BANK_ACCOUNT_NUMBER          VARCHAR2(320) ,
    BANK_NAME                    VARCHAR2(1440),
    TRANSACTION_DATE             DATE          ,
    VALUE_DATE                   DATE          ,
    TRANSACTION_NUMBER           VARCHAR2(1024),
    TRANSACTION_CURRENCY_CODE    VARCHAR2(60)  ,
    TRANSACTION_AMOUNT           NUMBER        ,
    REPORTING_AMOUNT             NUMBER        ,
    TRANSACTION_TYPE             VARCHAR2(320) ,
    FUNCTIONAL_CURRENCY_CODE     VARCHAR2(60)  ,
    FUNCTIONAL_AMOUNT            NUMBER        ,
    BANK_ACCT_CURRENCY_CODE      VARCHAR2(60)  ,
    BANK_ACCT_AMOUNT             NUMBER        ,
    LEGAL_ENTITY_REGION          VARCHAR2(1440),
    LEGAL_ENTITY_NAME            VARCHAR2(960) ,
    EXT_DIM_ATTRIBUTE1           VARCHAR2(320) ,
    EXT_DIM_ATTRIBUTE2           VARCHAR2(320) ,
    EXT_DIM_ATTRIBUTE3           VARCHAR2(320) ,
    EXT_DIM_ATTRIBUTE4           VARCHAR2(320) ,
    EXT_DIM_ATTRIBUTE5           VARCHAR2(320) ,
    EXT_DIM_ATTRIBUTE6           VARCHAR2(320) ,
    EXT_DIM_ATTRIBUTE7           VARCHAR2(320) ,
    EXT_DIM_ATTRIBUTE8           VARCHAR2(320) ,
    EXT_DIM_ATTRIBUTE9           VARCHAR2(320) ,
    EXT_DIM_ATTRIBUTE10          VARCHAR2(320) ,
    EXT_DIM_ATTRIBUTE11          VARCHAR2(320) ,
    EXT_DIM_ATTRIBUTE12          VARCHAR2(320) ,
    EXT_DIM_ATTRIBUTE13          VARCHAR2(320) ,
    EXT_DIM_ATTRIBUTE14          VARCHAR2(320) ,
    EXT_DIM_ATTRIBUTE15          VARCHAR2(320) ,
    DELETE_FLAG                  VARCHAR2(4)   ,
    ERROR_FLAG                   VARCHAR2(4)   ,
    ERROR_CODE                   VARCHAR2(120) ,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LOAD_REQUEST_ID              NUMBER(18, 0) ,
    CASH_POOL_NAME               VARCHAR2(320) ,
    PARENT_CASH_POOL_NAME        VARCHAR2(1000),
    CONSTRAINT pk_ce_cp_sys_trx_int PRIMARY KEY (CP_SYS_TRX_ID, CP_SYS_TRX_ID)
);
